class LittleFixtures
  VERSION = '0.0.1'

  def self.load(fixtures_path)
    Hash.new.tap do |fixtures|
      Dir.glob(File.join(fixtures_path, '**', '*.*')).each do |path|
        parts = File.dirname(path).sub(fixtures_path, '').split(File::SEPARATOR)
        parts << File.basename(path, File.extname(path))

        key = parts.reject(&:empty?).join('.')
        fixtures[key] = File.read(path)
      end
    end
  end
end